Index: LMDZ5/branches/testing/libf/dyn3dmem/vlspltgen_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/vlspltgen_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/vlspltgen_loc.F	(revision 2641)
@@ -31,12 +31,10 @@
      &    ok_iso_verif
       USE vlspltgen_mod
+      USE comconst_mod, ONLY: cpp
       IMPLICIT NONE
 
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c
@@ -100,11 +98,11 @@
 
         
-	ijb=ij_begin-iip1
-	ije=ij_end+iip1
-	if (pole_nord) ijb=ij_begin
-	if (pole_sud) ije=ij_end
-	
+        ijb=ij_begin-iip1
+        ije=ij_end+iip1
+        if (pole_nord) ijb=ij_begin
+        if (pole_sud) ije=ij_end
+        
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
-	DO l = 1, llm
+        DO l = 1, llm
          DO ij = ijb, ije
           tempe(ij) = teta(ij,l) * pk(ij,l) /cpp
@@ -208,19 +206,19 @@
 #endif
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALO        
 ! CRisi: on ajoute les nombres de fils et tableaux des fils
 ! On suppose qu'on ne peut advecter les fils que par le schéma 10.  
-	  call vlx_loc(zq,pente_max,zm,mu,
-     &	             ij_begin,ij_begin+2*iip1-1,iq)
+          call vlx_loc(zq,pente_max,zm,mu,
+     &                     ij_begin,ij_begin+2*iip1-1,iq)
           call vlx_loc(zq,pente_max,zm,mu,
      &               ij_end-2*iip1+1,ij_end,iq)
 #else
-	  call vlx_loc(zq,pente_max,zm,mu,
-     &	             ij_begin,ij_end,iq)
+          call vlx_loc(zq,pente_max,zm,mu,
+     &                     ij_begin,ij_end,iq)
 #endif
 
@@ -240,5 +238,5 @@
           call VTe(VTHallo)
 c$OMP END MASTER
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 
 #ifdef _ADV_HALO           
@@ -268,6 +266,6 @@
 c$OMP END MASTER 
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -301,8 +299,8 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALLO
@@ -310,5 +308,5 @@
      &                 ij_begin+2*iip1,ij_end-2*iip1,iq)
 #endif        
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 #ifdef _ADV_HALLO
           call vlxqs_loc(zq,pente_max,zm,mu,
@@ -316,6 +314,6 @@
 #endif    
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -358,12 +356,12 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_loc(zq,pente_max,zm,mv,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_loc(zq,pente_max,zm,mv,
@@ -371,6 +369,6 @@
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -389,8 +387,8 @@
 #endif
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 
 c$OMP BARRIER        
@@ -420,9 +418,9 @@
 c$OMP MASTER
           call VTe(VTHallo)
-c$OMP END MASTER	
+c$OMP END MASTER        
 c$OMP BARRIER
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -439,5 +437,5 @@
 c$OMP MASTER
       call VTe(VTHallo)
-c$OMP END MASTER	
+c$OMP END MASTER        
 
 
@@ -451,8 +449,8 @@
 
         if(iadv(iq) == 0) then
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 c$OMP BARRIER        
 
@@ -464,6 +462,6 @@
 c$OMP BARRIER        
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -501,12 +499,12 @@
 #endif
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_loc(zq,pente_max,zm,mv,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_loc(zq,pente_max,zm,mv,
@@ -514,6 +512,6 @@
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -532,13 +530,13 @@
 #endif
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vlx_loc(zq,pente_max,zm,mu,
      &               ij_begin,ij_end,iq)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlxqs_loc(zq,pente_max,zm,mu,
@@ -546,5 +544,5 @@
  
         else
-	
+        
           stop 'vlspltgen_p : schema non parallelise'
       
@@ -574,6 +572,6 @@
            DO ij=ijb,ije
 c             print *,'zq-->',ij,l,iq,zq(ij,l,iq)
-c	     print *,'q-->',ij,l,iq,q(ij,l,iq)
-	     q(ij,l,iq)=zq(ij,l,iq)
+c             print *,'q-->',ij,l,iq,q(ij,l,iq)
+             q(ij,l,iq)=zq(ij,l,iq)
            ENDDO
         ENDDO
Index: LMDZ5/branches/testing/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/vlspltqs_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/vlspltqs_loc.F	(revision 2641)
@@ -12,9 +12,6 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
 c
@@ -174,9 +171,9 @@
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
         DO l=1,llm 
-	  iadvplus(ip1jm+1:ip1jmp1,l)=0
+          iadvplus(ip1jm+1:ip1jmp1,l)=0
         ENDDO
 c$OMP END DO NOWAIT
       endif
-      	
+              
 c   calcul des flux a gauche et a droite
 
@@ -414,5 +411,5 @@
 c    ********************************************************************
 c     q,masse_adv_v,w sont des arguments d'entree  pour le s-pg ....
-c     qsat 	       est   un argument de sortie pour le s-pg ....
+c     qsat                est   un argument de sortie pour le s-pg ....
 c
 c
@@ -420,12 +417,10 @@
       USE parallel_lmdz
       USE infotrac, ONLY : nqtot,nqfils,nqdesc,iqfils ! CRisi  
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c
@@ -582,5 +577,5 @@
          dyq(ij,l)=fn*dyq(ij,l)
         ENDDO
-	  
+          
       ENDIF
       
@@ -603,5 +598,5 @@
         ENDDO
         
-c   calcul des pentes limites aux poles	
+c   calcul des pentes limites aux poles        
         fs=1.
         DO ij=1,iim
@@ -614,5 +609,5 @@
          dyq(ip1jm+ij,l)=fs*dyq(ip1jm+ij,l)
         ENDDO
-	
+        
       ENDIF
 
@@ -779,10 +774,10 @@
               masse(ij,l,iq)=newmasse
            ENDDO
-	 
-	 ENDIF
          
-	 IF (pole_sud) THEN
-	 
-	   convps  = -SSUM(iim,qbyv(ip1jm-iim,l,iq),iq,1)/apols
+         ENDIF
+         
+         IF (pole_sud) THEN
+         
+           convps  = -SSUM(iim,qbyv(ip1jm-iim,l,iq),iq,1)/apols
            convmps = -SSUM(iim,masse_adv_v(ip1jm-iim,l),1)/apols
            DO ij = ip1jm+1,ip1jmp1
@@ -792,6 +787,6 @@
               masse(ij,l,iq)=newmasse
            ENDDO
-	 
-	 ENDIF
+         
+         ENDIF
 c.-. fin ancienne version
 
Index: LMDZ5/branches/testing/libf/dyn3dmem/writedynav_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/writedynav_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/writedynav_loc.F	(revision 2641)
@@ -13,4 +13,7 @@
       USE infotrac, ONLY : nqtot, ttext
       use com_io_dyn_mod, only : histaveid,histvaveid,histuaveid
+      USE comconst_mod, ONLY: cpp
+      USE temps_mod, ONLY: itau_dyn
+      
       implicit none
 
@@ -41,15 +44,9 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "description.h"
+      include "iniprint.h"
 
 C
Index: LMDZ5/branches/testing/libf/dyn3dmem/writehist_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/writehist_loc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dmem/writehist_loc.F	(revision 2641)
@@ -13,4 +13,7 @@
       USE infotrac, ONLY : nqtot, ttext
       use com_io_dyn_mod, only : histid,histvid,histuid
+      USE comconst_mod, ONLY: cpp
+      USE temps_mod, ONLY: itau_dyn
+      
       implicit none
 
@@ -41,15 +44,9 @@
 C
 C   Declarations
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
-#include "description.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "description.h"
+      include "iniprint.h"
 
 C
Index: LMDZ5/branches/testing/libf/dyn3dpar/addfi_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/addfi_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/addfi_p.F	(revision 2641)
@@ -48,7 +48,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "serre.h"
 c
 c    Arguments :
Index: LMDZ5/branches/testing/libf/dyn3dpar/advect_new_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/advect_new_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/advect_new_p.F	(revision 2641)
@@ -6,4 +6,7 @@
       USE parallel_lmdz
       USE write_field_p
+      USE comconst_mod, ONLY: daysec
+      USE logic_mod, ONLY: conser
+      
       IMPLICIT NONE
 c=======================================================================
@@ -28,9 +31,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
 
 c   Arguments:
@@ -117,5 +116,5 @@
                   
            uav(ij,l)=0.25*(ucov(ij,l)+ucov(ij-iip1,l))
-     .	             +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
+     .                     +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
          ENDDO
          
@@ -250,6 +249,6 @@
       DO l=1,llm
         DO ij=ijb,ije-1
-	  du(ij,l)=du(ij,l)+du2(ij,l)-du1(ij,l)
-	ENDDO
+          du(ij,l)=du(ij,l)+du2(ij,l)-du1(ij,l)
+        ENDDO
 
         DO   ij   = ijb+iip1-1, ije, iip1
@@ -266,6 +265,6 @@
       DO l=1,llm
         DO ij=ijb,ije
-	  dv(ij,l)=dv(ij,l)+dv2(ij,l)-dv1(ij,l)
-	ENDDO
+          dv(ij,l)=dv(ij,l)+dv2(ij,l)-dv1(ij,l)
+        ENDDO
       ENDDO
 c$OMP END DO NOWAIT      
@@ -276,6 +275,6 @@
       DO l=1,llm
         DO ij=ijb,ije
-	  dteta(ij,l)=dteta(ij,l)+dteta2(ij,l)-dteta1(ij,l)
-	ENDDO
+          dteta(ij,l)=dteta(ij,l)+dteta2(ij,l)-dteta1(ij,l)
+        ENDDO
       ENDDO
 c$OMP END DO NOWAIT      
Index: LMDZ5/branches/testing/libf/dyn3dpar/advect_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/advect_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/advect_p.F	(revision 2641)
@@ -5,4 +5,7 @@
       USE parallel_lmdz
       USE write_field_p
+      USE comconst_mod, ONLY: daysec
+      USE logic_mod, ONLY: conser
+      
       IMPLICIT NONE
 c=======================================================================
@@ -27,9 +30,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
 
 c   Arguments:
@@ -86,5 +85,5 @@
                   
            uav(ij,l)=0.25*(ucov(ij,l)+ucov(ij-iip1,l))
-     .	             +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
+     .                     +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
          ENDDO
          
Index: LMDZ5/branches/testing/libf/dyn3dpar/advtrac_p.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/advtrac_p.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/advtrac_p.F90	(revision 2641)
@@ -19,15 +19,11 @@
   USE infotrac, ONLY: nqtot, iadv
   USE control_mod, ONLY: iapp_tracvl, day_step, planet_type
+  USE comconst_mod, ONLY: dtvr
   IMPLICIT NONE
   !
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comdissip.h"
   include "comgeom2.h"
-  include "logic.h"
-  include "temps.h"
-  include "ener.h"
   include "description.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dpar/bernoui_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/bernoui_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/bernoui_p.F	(revision 2641)
@@ -25,5 +25,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
 c
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dpar/bilan_dyn_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/bilan_dyn_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/bilan_dyn_p.F	(revision 2641)
@@ -17,12 +17,13 @@
       use misc_mod
       use write_field_p
+      USE comconst_mod, ONLY: cpp, pi
+      USE comvert_mod, ONLY: presnivs
+      USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn
+      
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "temps.h"
 #include "iniprint.h"
 
@@ -202,7 +203,7 @@
 
 !        if (i_sortie.eq.1) then
-!	 file='dynzon'
+!         file='dynzon'
 !         if (mpi_rank==0) then
-!	 call inigrads(ifile,1
+!         call inigrads(ifile,1
 !     s  ,0.,180./pi,0.,0.,jjm,rlatv,-90.,90.,180./pi
 !     s  ,llm,presnivs,1.
@@ -568,5 +569,5 @@
         do l=1,llm
           Q_cum(:,jjb:jje,l,iQ)=Q_cum(:,jjb:jje,l,iQ) 
-     .	                        /masse_cum(:,jjb:jje,l)
+     .                                /masse_cum(:,jjb:jje,l)
         enddo
 !$OMP ENDDO NOWAIT 
Index: LMDZ5/branches/testing/libf/dyn3dpar/caladvtrac_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/caladvtrac_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/caladvtrac_p.F	(revision 2641)
@@ -10,4 +10,5 @@
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : iapp_tracvl,planet_type
+      USE comconst_mod, ONLY: dtvr
 c
       IMPLICIT NONE
@@ -25,5 +26,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dpar/caldyn_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/caldyn_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/caldyn_p.F	(revision 2641)
@@ -10,4 +10,5 @@
       USE parallel_lmdz
       USE Write_Field_p
+      USE comvert_mod, ONLY: ap, bp
       
       IMPLICIT NONE
@@ -31,6 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dpar/conf_gcm.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/conf_gcm.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/conf_gcm.F90	(revision 2641)
@@ -16,4 +16,13 @@
   USE infotrac, ONLY : type_trac
   use assert_m, only: assert
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          iflag_top_bound, mode_top_bound, tau_top_bound, &
+                          ngroup
+  USE logic_mod, ONLY: fxyhypb, iflag_phys, ok_etat0, ok_gradsfile, &
+                       ok_guide, ok_limit, ok_strato, purmats, read_start, &
+                       ysinus
+  USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
+                       alphax,alphay,taux,tauy
+  USE temps_mod, ONLY: calend
 
   IMPLICIT NONE
@@ -34,9 +43,5 @@
   include "dimensions.h"
   include "paramet.h"
-  include "logic.h"
-  include "serre.h"
   include "comdissnew.h"
-  include "temps.h"
-  include "comconst.h"
   include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dpar/convmas1_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/convmas1_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/convmas1_p.F	(revision 2641)
@@ -32,6 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
-#include "logic.h"
 
       REAL pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm )
Index: LMDZ5/branches/testing/libf/dyn3dpar/convmas2_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/convmas2_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/convmas2_p.F	(revision 2641)
@@ -32,6 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
-#include "logic.h"
 
       REAL pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm )
Index: LMDZ5/branches/testing/libf/dyn3dpar/convmas_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/convmas_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/convmas_p.F	(revision 2641)
@@ -32,6 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
-#include "logic.h"
 
       REAL pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm )
Index: LMDZ5/branches/testing/libf/dyn3dpar/dissip_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/dissip_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/dissip_p.F	(revision 2641)
@@ -6,4 +6,5 @@
       USE parallel_lmdz
       USE write_field_p
+      USE comconst_mod, ONLY: dtdiss
       IMPLICIT NONE
 
@@ -29,5 +30,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "comdissnew.h"
Index: LMDZ5/branches/testing/libf/dyn3dpar/divgrad_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/divgrad_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/divgrad_p.F	(revision 2641)
@@ -23,5 +23,4 @@
 #include "comgeom.h"
 #include "comdissipn.h"
-#include "logic.h"
 c
       INTEGER klevel
Index: LMDZ5/branches/testing/libf/dyn3dpar/dteta1_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/dteta1_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/dteta1_p.F	(revision 2641)
@@ -22,5 +22,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
 
       REAL teta( ip1jmp1,llm ),pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm)
Index: LMDZ5/branches/testing/libf/dyn3dpar/dudv2_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/dudv2_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/dudv2_p.F	(revision 2641)
@@ -25,5 +25,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
       REAL teta( ip1jmp1,llm ),pkf( ip1jmp1,llm ) ,bern( ip1jmp1,llm ),
Index: LMDZ5/branches/testing/libf/dyn3dpar/dynetat0.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/dynetat0.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/dynetat0.F	(revision 2641)
@@ -9,4 +9,12 @@
 
       use control_mod, only : planet_type
+      USE comvert_mod, ONLY: pa,preff
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa,
+     &                        lllm, omeg, rad
+      USE logic_mod, ONLY: fxyhypb, ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy
+      USE temps_mod, ONLY: annee_ref,day_ref,itau_dyn,
+     &                     start_time,day_ini,hour_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
 
       IMPLICIT NONE
@@ -29,13 +37,7 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "temps.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "ener.h"
 #include "netcdf.inc"
 #include "description.h"
-#include "serre.h"
-#include "logic.h"
 #include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dpar/dynredem.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/dynredem.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/dynredem.F	(revision 2641)
@@ -9,4 +9,13 @@
       USE infotrac
       use netcdf95, only: NF95_PUT_VAR
+      USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff,
+     &                        nivsig,nivsigs
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
+      USE logic_mod, ONLY: fxyhypb, ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
+     &                     taux,tauy
+      USE temps_mod, ONLY: annee_ref,day_ref,itau_dyn,itaufin,
+     &                        start_time,hour_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
  
       IMPLICIT NONE
@@ -18,13 +27,7 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
 #include "netcdf.inc"
 #include "description.h"
-#include "serre.h"
 #include "iniprint.h"
 
@@ -471,4 +474,5 @@
       use netcdf, only: NF90_get_VAR
       use netcdf95, only: NF95_PUT_VAR
+      USE temps_mod, ONLY: itau_dyn, itaufin
  
       IMPLICIT NONE
@@ -480,7 +484,5 @@
 #include "description.h"
 #include "netcdf.inc"
-#include "comvert.h"
 #include "comgeom.h"
-#include "temps.h"
 #include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dpar/dynredem_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/dynredem_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/dynredem_p.F	(revision 2641)
@@ -10,4 +10,13 @@
       USE infotrac
       use netcdf95, only: NF95_PUT_VAR
+      USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff,
+     &                        nivsig,nivsigs
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
+      USE logic_mod, ONLY: fxyhypb, ysinus
+      USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
+     &                     taux,tauy
+      USE temps_mod, ONLY: annee_ref,day_ref,itau_dyn,itaufin,
+     &                        start_time,hour_ini
+      USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
  
       IMPLICIT NONE
@@ -19,13 +28,7 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "temps.h"
-#include "ener.h"
-#include "logic.h"
 #include "netcdf.inc"
 #include "description.h"
-#include "serre.h"
 
 c   Arguments:
@@ -472,4 +475,5 @@
       use netcdf, only: NF90_get_VAR
       use netcdf95, only: NF95_PUT_VAR
+      USE temps_mod, ONLY: itau_dyn, itaufin
  
       IMPLICIT NONE
@@ -481,7 +485,5 @@
 #include "description.h"
 #include "netcdf.inc"
-#include "comvert.h"
 #include "comgeom.h"
-#include "temps.h"
 
 
Index: LMDZ5/branches/testing/libf/dyn3dpar/exner_hyb_p_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/exner_hyb_p_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/exner_hyb_p_m.F90	(revision 2641)
@@ -33,11 +33,10 @@
     !
     USE parallel_lmdz
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
-    include "comvert.h"
-    include "serre.h"
 
     INTEGER  ngrid
Index: LMDZ5/branches/testing/libf/dyn3dpar/exner_milieu_p_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/exner_milieu_p_m.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/exner_milieu_p_m.F90	(revision 2641)
@@ -30,11 +30,10 @@
     !
     USE parallel_lmdz
+    USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
     !
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
-    include "comvert.h"
-    include "serre.h"
 
     INTEGER  ngrid
Index: LMDZ5/branches/testing/libf/dyn3dpar/fluxstokenc_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/fluxstokenc_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/fluxstokenc_p.F	(revision 2641)
@@ -21,9 +21,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "tracstoke.h"
-#include "temps.h"
 #include "iniprint.h"
 
Index: LMDZ5/branches/testing/libf/dyn3dpar/friction_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/friction_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/friction_p.F	(revision 2641)
@@ -12,4 +12,5 @@
       USE ioipsl_getincom
 #endif
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -29,5 +30,4 @@
 #include "paramet.h"
 #include "comgeom2.h"
-#include "comconst.h"
 #include "iniprint.h"
 #include "academic.h"
Index: LMDZ5/branches/testing/libf/dyn3dpar/gcm.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/gcm.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/gcm.F	(revision 2641)
@@ -32,4 +32,10 @@
       USE iniphysiq_mod, ONLY: iniphysiq
 #endif
+      USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, r, rad
+      USE logic_mod ! all of it, because of copyin clause when calling leapfrog
+      USE temps_mod, ONLY: calend,start_time,annee_ref,day_ref,
+     &                itau_dyn,itau_phy,day_ini,jD_ref,jH_ref,day_end,
+     &                dt,hour_ini,itaufin
+
       IMPLICIT NONE
 
@@ -65,13 +71,7 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissnew.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
 #include "description.h"
-#include "serre.h"
 !#include "com_io_dyn.h"
 #include "iniprint.h"
@@ -499,5 +499,14 @@
 c       write(78,*) 'q',q
 
-c$OMP PARALLEL DEFAULT(SHARED) COPYIN(/temps/,/logici/,/logicl/)
+!c$OMP PARALLEL DEFAULT(SHARED) COPYIN(/temps/,/logici/,/logicl/)
+c$OMP PARALLEL DEFAULT(SHARED)
+c        Copy all threadprivate variables from temps_mod
+c$OMP1 COPYIN(dt,jD_ref,jH_ref,start_time,hour_ini,day_ini,day_end)
+c$OMP1 COPYIN(annee_ref,day_ref,itau_dyn,itau_phy,itaufin,calend)
+c	Copy all threadprivate variables from logic_mod
+c$OMP1 COPYIN(purmats,forward,leapf,apphys,statcl,conser,apdiss,apdelq)
+c$OMP1 COPYIN(saison,ecripar,fxyhypb,ysinus,read_start,ok_guide)
+c$OMP1 COPYIN(ok_strato,ok_gradsfile,ok_limit,ok_etat0)
+c$OMP1 COPYIN(iflag_phys,iflag_trac)
       CALL leapfrog_p(ucov,vcov,teta,ps,masse,phis,q,time_0)
 c$OMP END PARALLEL
Index: LMDZ5/branches/testing/libf/dyn3dpar/geopot_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/geopot_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/geopot_p.F	(revision 2641)
@@ -28,5 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3dpar/gradiv_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/gradiv_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/gradiv_p.F	(revision 2641)
@@ -21,5 +21,4 @@
 #include "paramet.h"
 #include "comdissipn.h"
-#include "logic.h"
 
       INTEGER klevel
Index: LMDZ5/branches/testing/libf/dyn3dpar/groupe_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/groupe_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/groupe_p.F	(revision 2641)
@@ -1,4 +1,5 @@
       subroutine groupe_p(pext,pbaru,pbarv,pbarum,pbarvm,wm)
       USE parallel_lmdz
+      USE comconst_mod, ONLY: ngroup
       implicit none
 
@@ -16,7 +17,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
-#include "comvert.h"
 
 !     integer ngroup
Index: LMDZ5/branches/testing/libf/dyn3dpar/groupeun_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/groupeun_p.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3dpar/groupeun_p.F	(revision 2641)
@@ -2,9 +2,9 @@
       USE parallel_lmdz
       USE Write_Field_p
+      USE comconst_mod, ONLY: ngroup
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 
@@ -136,9 +136,9 @@
 
       USE parallel_lmdz
+      USE comconst_mod, ONLY: ngroup
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 
